Subject: bug#10551: closed (Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors)

From: "Daniel (Youngwhan) Song" <[email-masked]>
Date: Mon, 27 Jan 2020 11:30:13 -0800

it's been 8 years, and I use gnu emcas from macports, and I tried the M-x
list-colors-display, and it only shows 42 colors.

I deleted ~/Library/Colors/Emacs.clr and re-launched the Emacs in the Mac,
but it's same. It only shows 42 colors.

I followed David Caldwell's suggestion as before, and then it shows 500
colors.

I believe there is still a bug somewhere, and not sure how I can help on it.

Let me know. Thanks,

On Sun, Jan 26, 2020 at 3:57 AM GNU bug Tracking System <
[email-masked]> wrote:

> Your bug report
>
> #10551: 23.3; MAC OS X Emacs doesn't get all colors
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 10551: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10551
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: Alan Third <[email-masked]>
> To: "Daniel (Youngwhan) Song" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Bcc:
> Date: Sun, 26 Jan 2020 11:56:36 +0000
> Subject: Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors
> Alan Third <[email-masked]> writes:
>
> > "Daniel (Youngwhan) Song" <[email-masked]> writes:
> >
> >> HI,
> >>
> >> After a MAC OS X Emacs starts, when I do "M-x list-colors-display", it
> >> shows only 37 colors.
> >>
> >> David Caldwell showed me that it can be corrected
> >> by "Type "C-h v x-colors" to get help on the x-color variable. Then
> click
> >> where it says "common-win.el.gz" to go to the definition of the variable
> >> in the emacs source code. Then type "C-M-x" to re-evaluate that part of
> >> the code. Now when you do list-colors-display you should have 500+
> >> colors."
> >>
> >> It may be a bug, and should be fixed.
> >
> > My money would be on the file ~/Library/Colors/Emacs.clr being corrupt
> > in some way.
> >
> > Either way, it's been almost 8 years since the last report of this. Can
> > anyone confirm whether it's still a problem?
>
> Over three weeks and no response. I'm going to close this on the
> assumption it's not a problem any more. If it is still a problem please
> reply to this email and we can reopen the bug report.
> --
> Alan Third
>
>
>
>
> ---------- Forwarded message ----------
> From: "Daniel (Youngwhan) Song" <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Wed, 18 Jan 2012 17:01:46 -0800
> Subject: 23.3; MAC OS X Emacs doesn't get all colors
> HI,
>
> After a MAC OS X Emacs starts, when I do "M-x list-colors-display", it
> shows only 37 colors.
>
> David Caldwell showed me that it can be corrected
> by "Type "C-h v x-colors" to get help on the x-color variable. Then click
> where it says "common-win.el.gz" to go to the definition of the variable
> in the emacs source code. Then type "C-M-x" to re-evaluate that part of
> the code. Now when you do list-colors-display you should have 500+
> colors."
>
> It may be a bug, and should be fixed.
>
> Thanks,
> Daniel
>
>
> In GNU Emacs 23.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2011-12-13 on bob.porkrind.org
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--host=x86_64-apple-darwin'
> '--build=i686-apple-darwin' '--with-ns' 'build_alias=i686-apple-darwin'
> 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.5''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: nil
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Emacs-Lisp
>
> Minor modes in effect:
>   nxhtml-menu-mode: t
>   nxhtml-tag-do-also: t
>   popcmp-group-alternatives: t
>   popcmp-short-help-beside-alts: t
>   mlinks-active-links: t
>   rngalt-minimal-validation-header: t
>   rngalt-display-validation-header: t
>   desktop-save-mode: t
>   diff-auto-refine-mode: t
>   shell-dirtrack-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
> <triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
> <triple-wheel-up> <triple-wheel-up> <wheel-down> <double-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <down-mouse-1>
> <mouse-1> C-x b n o <tab> <return> C-x 1 C-r k e r
> n e l C-r C-r <return> C-a C-n C-SPC <down> M-w C-p
> C-y C-p C-n M-f M-f M-f M-f M-f M-f M-f M-f M-f <right>
> <right> <right> <right> C-d 4 <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> C-d C-d C-d C-d C-d
> C-d C-d C-d <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> C-a C-SPC C-e M-w C-a C-SPC
> C-e M-w C-a C-SPC C-e M-w C-a C-SPC C-e M-w C-a C-h
> v x - 0 <backspace> c o l o <tab> <return> C-x o C-s
> c o m m o n C-g C-x o C-x o M-< <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <return> C-M-x M-x d i s <tab> <backspace> <backspace>
> <backspace> l i s t <tab> d i s <tab> c o <tab> <return>
> C-x o C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v
> C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-x
> 0 M-x r e p o y <backspace> <tab> r t <tab> <retur
> n>
>
> Recent messages:
> call-interactively: End of bufferError during redisplay: (void-function
> mode-line-mode-name)
> Error during redisplay: (void-function mode-line-mode-name) [2 times]
> call-interactively: End of bufferError during redisplay: (void-function
> mode-line-mode-name)
> Error during redisplay: (void-function mode-line-mode-name) [2 times]
> call-interactively: End of bufferError during redisplay: (void-function
> mode-line-mode-name)
> Error during redisplay: (void-function mode-line-mode-name) [2 times]
> call-interactively: End of bufferError during redisplay: (void-function
> mode-line-mode-name)
> Error during redisplay: (void-function mode-line-mode-name) [3 times]
> Making completion list...
> Error during redisplay: (void-function mode-line-mode-name) [4 times]
>
> Load-path shadows:
> /Users/dansong/.emacs.d/nxhtml/related/php-mode hides ~/.emacs.d/php-mode
> ~/.emacs.d/ansi-color hides
> /Applications/Emacs.app/Contents/Resources/lisp/ansi-color
>
> Features:
> (shadow sort mail-extr message ecomplete rfc822 mml mml-sec mailabbrev
> nnheader gmm-utils mailheader canlock sha1 hex-util hashcash mail-utils
> emacsbug jka-compr find-func multi-isearch newcomment python-21 python
> sh-script xcscope php-mode etags cc-langs cc-mode cc-fonts cc-menus
> speedbar sb-image ezimage dframe mercurial vc vc-dispatcher executable
> color-theme sendmail reporter nxhtml-autostart nxhtml-autoload moz
> cc-cmds majmodpri vc-git nxhtml-menu udev-rinari udev-ecb udev
> flymake-js flymake css-color nxhtml-mode html-quote tidy-xhtml ediff
> html-imenu imenu loadhist popcmp xhtml-help mlinks html-toc xml fupd
> html-pagetoc foldit appmenu-fold appmenu mumamo sgml-mode rngalt
> rng-nxml nxml-mode nxml-outln nxml-rap nxml-glyph rng-valid rng-loc
> rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
> nxml-util nxml-enc xmltok desktop help-mode view flyspell ispell
> fold-dwim hideshow html-upl html-site ourcomments-util uniquify recentf
> tree-widget org org-footnote org-src org-list org-faces org-compat
> org-macs noutline outline ido bookmark apropos grep ffip compile
> gimpedit web-vcs rx url-http tls url url-proxy url-privacy url-expand
> url-methods url-history url-auth url-cookie url-util url-parse url-gw
> url-vars mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
> rfc2047 rfc2045 qp ietf-drums mm-util mail-prsvr cus-edit cus-start
> cus-load web-autoload nxhtml-base tramp-imap assoc tramp-gw tramp-fish
> tramp-smb tramp-cache tramp-ftp tramp-cmds tramp auth-source gnus-util
> netrc time-date password-cache format-spec tramp-compat trampver git
> ewoc psvn byte-opt warnings bytecomp byte-compile derived wid-edit
> log-edit pcvs-util add-log diff-mode easy-mmode pp elp ediff-merg
> ediff-diff ediff-wind ediff-mult ediff-help ediff-init ediff-util dired
> cpp-match cc-styles cc-align cc-engine cc-vars cc-defs regexp-opt bm
> edmacro kmacro info shell-command shell comint ring advice help-fns
> advice-preload ansi-color misc-cmds cl cl-19 tooltip ediff-hook vc-hooks
> lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image fringe
> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev loaddefs button minibuffer faces cus-face files text-properties
> overlay md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)
>
>
>